﻿using IdeaBlade.EntityModel;
using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace WindowsPhoneDevTour {

  /*
   * Custom DbContext.  See http://drc.ideablade.com/devforce-2012/bin/view/Documentation/code-first-dbcontext for more information.
   * 
   */

  [DataSourceKeyName("NorthwindIBEntities")]
  public class NorthwindIBDbContext  : DbContext {

    static NorthwindIBDbContext() {
      Database.SetInitializer<NorthwindIBDbContext>(null);    // To use existing database.
    }

    public NorthwindIBDbContext(string connectionString) : base(connectionString) {
    }

    protected override void OnModelCreating(DbModelBuilder modelBuilder) {
      modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
      modelBuilder.Ignore<EntityAspect>();
      base.OnModelCreating(modelBuilder);
    }

    public DbSet<Customer> Customers { get; set; }
  }
}